Bug 1009934 - [abrt] nicotine+-1.2.16-7.fc19
[abrt] nicotine+-1.2.16-7.fc19
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nicotine+ (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
http://nicotine-plus.org/ticket/671
abrt_hash:cc089c99309e31649be04c5e7a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 10:05 EDT by franck.bailliet
Modified: 2014-08-09 03:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: nicotine+-1.2.16-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 03:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.50 KB, text/plain)
2013-09-19 10:06 EDT, franck.bailliet
no flags Details

  None (edit)
Description franck.bailliet 2013-09-19 10:05:59 EDT
Description of problem:
Soulseek reste bloqué sur la création de la base de données - d'où interruption brutale - la problème ne se pose plus avec les sources quand je démarre ./nicotine.py
Problème de paquetage ?

Version-Release number of selected component:
nicotine+-1.2.16-7.fc19

Additional info:
reporter:       libreport-2.1.7
type:           Python
uid:            1000

Truncated backtrace:
slskmessages.py:303:packObject:error: 'I' format requires 0 <= number <= 4294967295

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pynicotine/shares.py", line 56, in RescanShares
    files, streams, wordindex, fileindex, mtimes = self.rescandirs(msg.shared, self.config.sections["transfers"]["sharedmtimes"], self.config.sections["transfers"]["sharedfiles"], self.config.sections["transfers"]["sharedfilesstreams"], msg.yieldfunction, self.np.frame.SharesProgress, name=_("Shares"), rebuild=rebuild)
  File "/usr/lib/python2.7/site-packages/pynicotine/shares.py", line 283, in rescandirs
    newsharedfilesstreams = self.getFilesStreams(newmtimes, oldmtimes, sharedfilesstreams, newsharedfiles, yieldfunction)
  File "/usr/lib/python2.7/site-packages/pynicotine/shares.py", line 624, in getFilesStreams
    streams[directory] = self.getDirStream(newsharedfiles[directory])
  File "/usr/lib/python2.7/site-packages/pynicotine/shares.py", line 647, in getDirStream
    stream += self.getByteStream(file_and_meta)
  File "/usr/lib/python2.7/site-packages/pynicotine/shares.py", line 669, in getByteStream
    message.packObject(2) +
  File "/usr/lib/python2.7/site-packages/pynicotine/slskmessages.py", line 303, in packObject
    return struct.pack("<I", object.value)
error: 'I' format requires 0 <= number <= 4294967295

Local variables in innermost frame:
self: <pynicotine.slskmessages.SlskMessage instance at 0x7fd032738c68>
object: <pynicotine.slskmessages.NetworkIntType object at 0x7fd032739250>

Potential duplicate: bug 806456
Comment 1 franck.bailliet 2013-09-19 10:06:04 EDT
Created attachment 799972 [details]
File: backtrace
Comment 2 Fedora Update System 2014-07-30 20:44:37 EDT
nicotine+-1.2.16-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nicotine+-1.2.16-9.fc20
Comment 3 Fedora Update System 2014-07-30 20:45:06 EDT
nicotine+-1.2.16-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nicotine+-1.2.16-8.fc19
Comment 4 Fedora Update System 2014-08-01 02:03:05 EDT
Package nicotine+-1.2.16-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nicotine+-1.2.16-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9044/nicotine+-1.2.16-9.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-08-09 03:31:42 EDT
nicotine+-1.2.16-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-08-09 03:33:23 EDT
nicotine+-1.2.16-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.